PerspectPerspectDocs
Go to Admin
View as Markdown

Webhooks

This reference is auto-generated from the mounted public Hono routes in perspectapiworkers. Admin and internal routes are excluded.

Base Path

/api/v2/sites/:siteName/webhooks

Endpoints

GET /api/v2/sites/:siteName/webhooks

List webhooks.

Path params: siteName

POST /api/v2/sites/:siteName/webhooks

Create webhook.

Path params: siteName

DELETE /api/v2/sites/:siteName/webhooks/:id

Delete webhook by id.

Path params: siteName, id

GET /api/v2/sites/:siteName/webhooks/:id

Get webhook by id.

Path params: siteName, id

PATCH /api/v2/sites/:siteName/webhooks/:id

Update webhook by id.

Path params: siteName, id

Path Parameters

Parameter
siteName
id

This page is generated from the actual public Hono route table. Do not edit it by hand.